package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Map;

public class StudentPaymentRouteOrderDto extends StudentPaymentOrder {

    /**
     * 分配分部id
     */
    private Integer routeOrganId;

    /**
     * 学校id
     */
    @ApiModelProperty(value = "学校id",required = true)
    private Integer schoolId;

    /**
     * 分润金额
     */
    private BigDecimal routeAmount;

    /**
     * 分润余额
     */
    private BigDecimal routeBalanceAmount;

    /**
     * 渠道收款账户
     */
    private String merNo;

    @ApiModelProperty(value = "收入类型",required = true)
    private Integer saleType;

    /**
     * 是否承担手续费
     */
    private String feeFlag;

    @ApiModelProperty(value = "商品 id->数量",required = true)
    private Map<Integer, Integer> goodies;

    @ApiModelProperty(value = "服务收入",required = true)
    private BigDecimal serviceAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "销售收入",required = true)
    private BigDecimal goodsAmount = BigDecimal.ZERO;

    public Integer getRouteOrganId() {
        return routeOrganId;
    }

    public void setRouteOrganId(Integer routingOrganId) {
        this.routeOrganId = routingOrganId;
    }

    public BigDecimal getRouteAmount() {
        return routeAmount;
    }

    public void setRouteAmount(BigDecimal routeAmount) {
        this.routeAmount = routeAmount;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public String getFeeFlag() {
        return feeFlag;
    }

    public void setFeeFlag(String feeFlag) {
        this.feeFlag = feeFlag;
    }

    public BigDecimal getRouteBalanceAmount() {
        return routeBalanceAmount;
    }

    public void setRouteBalanceAmount(BigDecimal routeBalanceAmount) {
        this.routeBalanceAmount = routeBalanceAmount;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    public Map<Integer, Integer> getGoodies() {
        return goodies;
    }

    public void setGoodies(Map<Integer, Integer> goodies) {
        this.goodies = goodies;
    }

    public Integer getSaleType() {
        return saleType;
    }

    public void setSaleType(Integer saleType) {
        this.saleType = saleType;
    }

    public BigDecimal getServiceAmount() {
        return serviceAmount;
    }

    public void setServiceAmount(BigDecimal serviceAmount) {
        this.serviceAmount = serviceAmount;
    }

    public BigDecimal getGoodsAmount() {
        return goodsAmount;
    }

    public void setGoodsAmount(BigDecimal goodsAmount) {
        this.goodsAmount = goodsAmount;
    }
}
